org.eclnt.jsfserver.elements.componentnodes

## Class HYPERLINKNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.HYPERLINKNode

- All Implemented Interfaces:
    java.io.Serializable

      public class HYPERLINKNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HYPERLINKNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `HYPERLINKNode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindAlign(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindAlignvisited(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindAnimatechangeofsize(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindBackground(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindBgpaint(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindBorder(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindClientname(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindClientvaluereference(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindColspan(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindComment(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindDoubleclickenabled(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindFocusable(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindFocusdrawborder(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindFocusnexthotkey(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindFocusprevioushotkey(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindFocussequence(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindFont(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindFontvisited(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindForeground(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindForegrounddisabled(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindForegroundvisited(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindFxstyleseq(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindHeight(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindHelpid(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindHotkey(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindImage(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindLinkinvokedcolor(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindPopupmenu(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindRendered(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindRequestfocus(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindRequestfocushotkey(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindRounding(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindRowalignmenty(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindShadow(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindTarget(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindText(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindTooltip(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindUrl(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindUserhint(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindUserhinttrigger(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindWidth(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindWithfocusevent(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindWithlongclick(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindWithlongclickendevent(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindX(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `bindY(IDynamicContentBindingObject value)`
    `HYPERLINKNode` | `setAccessiblename(java.lang.String value)`
    `HYPERLINKNode` | `setAdapterbinding(java.lang.String value)`
    `HYPERLINKNode` | `setAlign(java.lang.String value)`
    `HYPERLINKNode` | `setAlignvisited(java.lang.String value)`
    `HYPERLINKNode` | `setAnimatechangeofsize(boolean value)`
    `HYPERLINKNode` | `setAnimatechangeofsize(java.lang.String value)`
    `HYPERLINKNode` | `setAttributemacro(java.lang.String value)`
    `HYPERLINKNode` | `setBackground(java.lang.String value)`
    `HYPERLINKNode` | `setBgpaint(java.lang.String value)`
    `HYPERLINKNode` | `setBorder(java.lang.String value)`
    `HYPERLINKNode` | `setClientname(java.lang.String value)`
    `HYPERLINKNode` | `setClientvaluereference(java.lang.String value)`
    `HYPERLINKNode` | `setColspan(int value)`
    `HYPERLINKNode` | `setColspan(java.lang.String value)`
    `HYPERLINKNode` | `setComment(java.lang.String value)`
    `HYPERLINKNode` | `setConfiginfo(java.lang.String value)`
    `HYPERLINKNode` | `setDoubleclickenabled(boolean value)`
    `HYPERLINKNode` | `setDoubleclickenabled(java.lang.String value)`
    `HYPERLINKNode` | `setEnabled(boolean value)`
    `HYPERLINKNode` | `setEnabled(java.lang.String value)`
    `HYPERLINKNode` | `setFocusable(boolean value)`
    `HYPERLINKNode` | `setFocusable(java.lang.String value)`
    `HYPERLINKNode` | `setFocusdrawborder(boolean value)`
    `HYPERLINKNode` | `setFocusdrawborder(java.lang.String value)`
    `HYPERLINKNode` | `setFocusnexthotkey(java.lang.String value)`
    `HYPERLINKNode` | `setFocusprevioushotkey(java.lang.String value)`
    `HYPERLINKNode` | `setFocussequence(java.lang.String value)`
    `HYPERLINKNode` | `setFont(java.lang.String value)`
    `HYPERLINKNode` | `setFontvisited(java.lang.String value)`
    `HYPERLINKNode` | `setForeground(java.lang.String value)`
    `HYPERLINKNode` | `setForegrounddisabled(java.lang.String value)`
    `HYPERLINKNode` | `setForegroundvisited(java.lang.String value)`
    `HYPERLINKNode` | `setFxstyleseq(java.lang.String value)`
    `HYPERLINKNode` | `setHeight(int value)`
    `HYPERLINKNode` | `setHeight(java.lang.String value)`
    `HYPERLINKNode` | `setHelpid(java.lang.String value)`
    `HYPERLINKNode` | `setHotkey(java.lang.String value)`
    `HYPERLINKNode` | `setId(java.lang.String value)`
    `HYPERLINKNode` | `setImage(java.lang.String value)`
    `HYPERLINKNode` | `setLinkinvokedcolor(java.lang.String value)`
    `HYPERLINKNode` | `setPopupmenu(java.lang.String value)`
    `HYPERLINKNode` | `setPopupmenuloadroundtrip(java.lang.String value)`
    `HYPERLINKNode` | `setReference(java.lang.String value)`
    `HYPERLINKNode` | `setRendered(boolean value)`
    `HYPERLINKNode` | `setRendered(java.lang.String value)`
    `HYPERLINKNode` | `setRequestfocus(java.lang.String value)`
    `HYPERLINKNode` | `setRequestfocushotkey(java.lang.String value)`
    `HYPERLINKNode` | `setRounding(int value)`
    `HYPERLINKNode` | `setRounding(java.lang.String value)`
    `HYPERLINKNode` | `setRowalignmenty(java.lang.String value)`
    `HYPERLINKNode` | `setShadow(java.lang.String value)`
    `HYPERLINKNode` | `setStyleseq(java.lang.String value)`
    `HYPERLINKNode` | `setStylevariant(java.lang.String value)`
    `HYPERLINKNode` | `setTarget(java.lang.String value)`
    `HYPERLINKNode` | `setText(java.lang.String value)`
    `HYPERLINKNode` | `setTooltip(java.lang.String value)`
    `HYPERLINKNode` | `setUrl(java.lang.String value)`
    `HYPERLINKNode` | `setUserhint(java.lang.String value)`
    `HYPERLINKNode` | `setUserhinttrigger(java.lang.String value)`
    `HYPERLINKNode` | `setWidth(int value)`
    `HYPERLINKNode` | `setWidth(java.lang.String value)`
    `HYPERLINKNode` | `setWithfocusevent(boolean value)`
    `HYPERLINKNode` | `setWithfocusevent(java.lang.String value)`
    `HYPERLINKNode` | `setWithlongclick(boolean value)`
    `HYPERLINKNode` | `setWithlongclick(java.lang.String value)`
    `HYPERLINKNode` | `setWithlongclickendevent(boolean value)`
    `HYPERLINKNode` | `setWithlongclickendevent(java.lang.String value)`
    `HYPERLINKNode` | `setX(int value)`
    `HYPERLINKNode` | `setX(java.lang.String value)`
    `HYPERLINKNode` | `setY(int value)`
    `HYPERLINKNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HYPERLINKNode

          public HYPERLINKNode()

  - ### Method Detail

    - #### setId

          public HYPERLINKNode setId(java.lang.String value)

    - #### setAccessiblename

          public HYPERLINKNode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public HYPERLINKNode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setAdapterbinding

          public HYPERLINKNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public HYPERLINKNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAlign

          public HYPERLINKNode setAlign(java.lang.String value)

    - #### bindAlign

          public HYPERLINKNode bindAlign(IDynamicContentBindingObject value)

    - #### setAlignvisited

          public HYPERLINKNode setAlignvisited(java.lang.String value)

    - #### bindAlignvisited

          public HYPERLINKNode bindAlignvisited(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public HYPERLINKNode setAnimatechangeofsize(java.lang.String value)

    - #### bindAnimatechangeofsize

          public HYPERLINKNode bindAnimatechangeofsize(IDynamicContentBindingObject value)

    - #### setAnimatechangeofsize

          public HYPERLINKNode setAnimatechangeofsize(boolean value)

    - #### setAttributemacro

          public HYPERLINKNode setAttributemacro(java.lang.String value)

    - #### setBackground

          public HYPERLINKNode setBackground(java.lang.String value)

    - #### bindBackground

          public HYPERLINKNode bindBackground(IDynamicContentBindingObject value)

    - #### setBgpaint

          public HYPERLINKNode setBgpaint(java.lang.String value)

    - #### bindBgpaint

          public HYPERLINKNode bindBgpaint(IDynamicContentBindingObject value)

    - #### setBorder

          public HYPERLINKNode setBorder(java.lang.String value)

    - #### bindBorder

          public HYPERLINKNode bindBorder(IDynamicContentBindingObject value)

    - #### setClientname

          public HYPERLINKNode setClientname(java.lang.String value)

    - #### bindClientname

          public HYPERLINKNode bindClientname(IDynamicContentBindingObject value)

    - #### setClientvaluereference

          public HYPERLINKNode setClientvaluereference(java.lang.String value)

    - #### bindClientvaluereference

          public HYPERLINKNode bindClientvaluereference(IDynamicContentBindingObject value)

    - #### setColspan

          public HYPERLINKNode setColspan(java.lang.String value)

    - #### bindColspan

          public HYPERLINKNode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public HYPERLINKNode setColspan(int value)

    - #### setComment

          public HYPERLINKNode setComment(java.lang.String value)

    - #### bindComment

          public HYPERLINKNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public HYPERLINKNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public HYPERLINKNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setDoubleclickenabled

          public HYPERLINKNode setDoubleclickenabled(java.lang.String value)

    - #### bindDoubleclickenabled

          public HYPERLINKNode bindDoubleclickenabled(IDynamicContentBindingObject value)

    - #### setDoubleclickenabled

          public HYPERLINKNode setDoubleclickenabled(boolean value)

    - #### setEnabled

          public HYPERLINKNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public HYPERLINKNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public HYPERLINKNode setEnabled(boolean value)

    - #### setFocusable

          public HYPERLINKNode setFocusable(java.lang.String value)

    - #### bindFocusable

          public HYPERLINKNode bindFocusable(IDynamicContentBindingObject value)

    - #### setFocusable

          public HYPERLINKNode setFocusable(boolean value)

    - #### setFocusdrawborder

          public HYPERLINKNode setFocusdrawborder(java.lang.String value)

    - #### bindFocusdrawborder

          public HYPERLINKNode bindFocusdrawborder(IDynamicContentBindingObject value)

    - #### setFocusdrawborder

          public HYPERLINKNode setFocusdrawborder(boolean value)

    - #### setFocusnexthotkey

          public HYPERLINKNode setFocusnexthotkey(java.lang.String value)

    - #### bindFocusnexthotkey

          public HYPERLINKNode bindFocusnexthotkey(IDynamicContentBindingObject value)

    - #### setFocusprevioushotkey

          public HYPERLINKNode setFocusprevioushotkey(java.lang.String value)

    - #### bindFocusprevioushotkey

          public HYPERLINKNode bindFocusprevioushotkey(IDynamicContentBindingObject value)

    - #### setFocussequence

          public HYPERLINKNode setFocussequence(java.lang.String value)

    - #### bindFocussequence

          public HYPERLINKNode bindFocussequence(IDynamicContentBindingObject value)

    - #### setFont

          public HYPERLINKNode setFont(java.lang.String value)

    - #### bindFont

          public HYPERLINKNode bindFont(IDynamicContentBindingObject value)

    - #### setFontvisited

          public HYPERLINKNode setFontvisited(java.lang.String value)

    - #### bindFontvisited

          public HYPERLINKNode bindFontvisited(IDynamicContentBindingObject value)

    - #### setForeground

          public HYPERLINKNode setForeground(java.lang.String value)

    - #### bindForeground

          public HYPERLINKNode bindForeground(IDynamicContentBindingObject value)

    - #### setForegrounddisabled

          public HYPERLINKNode setForegrounddisabled(java.lang.String value)

    - #### bindForegrounddisabled

          public HYPERLINKNode bindForegrounddisabled(IDynamicContentBindingObject value)

    - #### setForegroundvisited

          public HYPERLINKNode setForegroundvisited(java.lang.String value)

    - #### bindForegroundvisited

          public HYPERLINKNode bindForegroundvisited(IDynamicContentBindingObject value)

    - #### setFxstyleseq

          public HYPERLINKNode setFxstyleseq(java.lang.String value)

    - #### bindFxstyleseq

          public HYPERLINKNode bindFxstyleseq(IDynamicContentBindingObject value)

    - #### setHeight

          public HYPERLINKNode setHeight(java.lang.String value)

    - #### bindHeight

          public HYPERLINKNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public HYPERLINKNode setHeight(int value)

    - #### setHelpid

          public HYPERLINKNode setHelpid(java.lang.String value)

    - #### bindHelpid

          public HYPERLINKNode bindHelpid(IDynamicContentBindingObject value)

    - #### setHotkey

          public HYPERLINKNode setHotkey(java.lang.String value)

    - #### bindHotkey

          public HYPERLINKNode bindHotkey(IDynamicContentBindingObject value)

    - #### setImage

          public HYPERLINKNode setImage(java.lang.String value)

    - #### bindImage

          public HYPERLINKNode bindImage(IDynamicContentBindingObject value)

    - #### setLinkinvokedcolor

          public HYPERLINKNode setLinkinvokedcolor(java.lang.String value)

    - #### bindLinkinvokedcolor

          public HYPERLINKNode bindLinkinvokedcolor(IDynamicContentBindingObject value)

    - #### setPopupmenu

          public HYPERLINKNode setPopupmenu(java.lang.String value)

    - #### bindPopupmenu

          public HYPERLINKNode bindPopupmenu(IDynamicContentBindingObject value)

    - #### setPopupmenuloadroundtrip

          public HYPERLINKNode setPopupmenuloadroundtrip(java.lang.String value)

    - #### bindPopupmenuloadroundtrip

          public HYPERLINKNode bindPopupmenuloadroundtrip(IDynamicContentBindingObject value)

    - #### setReference

          public HYPERLINKNode setReference(java.lang.String value)

    - #### setRendered

          public HYPERLINKNode setRendered(java.lang.String value)

    - #### bindRendered

          public HYPERLINKNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public HYPERLINKNode setRendered(boolean value)

    - #### setRequestfocus

          public HYPERLINKNode setRequestfocus(java.lang.String value)

    - #### bindRequestfocus

          public HYPERLINKNode bindRequestfocus(IDynamicContentBindingObject value)

    - #### setRequestfocushotkey

          public HYPERLINKNode setRequestfocushotkey(java.lang.String value)

    - #### bindRequestfocushotkey

          public HYPERLINKNode bindRequestfocushotkey(IDynamicContentBindingObject value)

    - #### setRounding

          public HYPERLINKNode setRounding(java.lang.String value)

    - #### bindRounding

          public HYPERLINKNode bindRounding(IDynamicContentBindingObject value)

    - #### setRounding

          public HYPERLINKNode setRounding(int value)

    - #### setRowalignmenty

          public HYPERLINKNode setRowalignmenty(java.lang.String value)

    - #### bindRowalignmenty

          public HYPERLINKNode bindRowalignmenty(IDynamicContentBindingObject value)

    - #### setShadow

          public HYPERLINKNode setShadow(java.lang.String value)

    - #### bindShadow

          public HYPERLINKNode bindShadow(IDynamicContentBindingObject value)

    - #### setStyleseq

          public HYPERLINKNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public HYPERLINKNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public HYPERLINKNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public HYPERLINKNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTarget

          public HYPERLINKNode setTarget(java.lang.String value)

    - #### bindTarget

          public HYPERLINKNode bindTarget(IDynamicContentBindingObject value)

    - #### setText

          public HYPERLINKNode setText(java.lang.String value)

    - #### bindText

          public HYPERLINKNode bindText(IDynamicContentBindingObject value)

    - #### setTooltip

          public HYPERLINKNode setTooltip(java.lang.String value)

    - #### bindTooltip

          public HYPERLINKNode bindTooltip(IDynamicContentBindingObject value)

    - #### setUrl

          public HYPERLINKNode setUrl(java.lang.String value)

    - #### bindUrl

          public HYPERLINKNode bindUrl(IDynamicContentBindingObject value)

    - #### setUserhint

          public HYPERLINKNode setUserhint(java.lang.String value)

    - #### bindUserhint

          public HYPERLINKNode bindUserhint(IDynamicContentBindingObject value)

    - #### setUserhinttrigger

          public HYPERLINKNode setUserhinttrigger(java.lang.String value)

    - #### bindUserhinttrigger

          public HYPERLINKNode bindUserhinttrigger(IDynamicContentBindingObject value)

    - #### setWidth

          public HYPERLINKNode setWidth(java.lang.String value)

    - #### bindWidth

          public HYPERLINKNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public HYPERLINKNode setWidth(int value)

    - #### setWithfocusevent

          public HYPERLINKNode setWithfocusevent(java.lang.String value)

    - #### bindWithfocusevent

          public HYPERLINKNode bindWithfocusevent(IDynamicContentBindingObject value)

    - #### setWithfocusevent

          public HYPERLINKNode setWithfocusevent(boolean value)

    - #### setWithlongclick

          public HYPERLINKNode setWithlongclick(java.lang.String value)

    - #### bindWithlongclick

          public HYPERLINKNode bindWithlongclick(IDynamicContentBindingObject value)

    - #### setWithlongclick

          public HYPERLINKNode setWithlongclick(boolean value)

    - #### setWithlongclickendevent

          public HYPERLINKNode setWithlongclickendevent(java.lang.String value)

    - #### bindWithlongclickendevent

          public HYPERLINKNode bindWithlongclickendevent(IDynamicContentBindingObject value)

    - #### setWithlongclickendevent

          public HYPERLINKNode setWithlongclickendevent(boolean value)

    - #### setX

          public HYPERLINKNode setX(java.lang.String value)

    - #### bindX

          public HYPERLINKNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public HYPERLINKNode setX(int value)

    - #### setY

          public HYPERLINKNode setY(java.lang.String value)

    - #### bindY

          public HYPERLINKNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public HYPERLINKNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.